
****#############MASTER DO#################****
****This file lists all the do files used in the cross-country analysis, by the order. Some of these files require use of confidential data such as EU-LFS. Some of them require publicly available dataset which will be placed in raw data folder. 
clear all

*Set Directory here as well as in each do file.
*5 folders are necessary: 1-codes, 2-rawdata, 3-procdata, 4-output, 5-output2. Place all the raw excel files (we provide publicly available ones) in "rawdata" folder. In case you do not have access to confidential microdata you can still use some portion of the codes by using the data we made available in "procdata" folder. All the figures and tables are produced in "output" folder. "output2" folder is only necessary for seasonal adjustment residual files. 
gl codes= "...\codes"

*1-) Reads 4 excel files about employment protection, telecommuting index, school closure, and childcare obligations (Fuchs-Schuldeln et al. 2020). School closure index is calculated as the weighted average of not-fully open days as a fraction of all non-academic break school days. 
do "${codes}/###Indices.do"

*2-) Reads Annual GDP by World Bank for 28 countries
do "${codes}/###WB_gdp_annual_setup.do"

*3-) Does seasonal adjustment and arrange variables from the hours and employment series calculated by CPS.
do "${codes}/US_setup.do"

*4-) Does seasonal adjustment and arrange variables from the hours and employment series calculated by Canadian Labor Force Survey.
do "${codes}/Canada_setup.do"

*5-) Reads quarterly total employment for US and Canada to be used to calculate total hours worked index by merging with the average hours worked calculated by CPS and Canadian Labor Force Survey
do "${codes}/ilostat_setup_emp.do"

*6-) Reads all quarterly data on hours, employment, gdp from Eurostat, FRED and calculated series from CPS and Canadian LFS.
do "${codes}/Eurostat_setup_hour_emp_gdp.do"

*7-) Produces Figure 1, Figure A2. Calculate hour, relative hour, employment, relative employment and GDP changes in the Covid period.  
do "${codes}/Eurostat_postcovid_analysis.do"

*8-) Reads industry employment data from BLS tables. 
do "${codes}/bls_setup.do"

*9-) Reads industry employment data from Statistics of Canada tables. 
do "${codes}/Canada_ind_setup.do"

*10-) Reads industry employment data from Eurostat.
do "${codes}/Eurostat_setup_quarterly_ind.do"

*11-) Does the industry aggregation, deals with missing industries in some countries, does seasonal adjustment. 
do "${codes}/Eurostat_ind_emp_cleaning_SA_adjustment.do"

*12-) Main industry analysis code. Merge all industry data from Eurostat+BLS+CLFS and produces Figure 6 and 7. Also, it produces the variable of "the fraction of social industries in total employment" to be used in regressions. 
do "${codes}/Eurostat_ind_analysis.do"

*13-) This code requires confidential EU-LFS data. It reads excel files by country and year and merges them as a single document. 
do "${codes}/LFS_setup_27countries_98_19.do"

*14-) This code requires confidential EU-LFS data. It cleans the hour variable and calculates aggregates by gender and marital status
do "${codes}/LFS_cleaning_27countries.do"

*15-) This code requires confidential EU-LFS data. It defines motherhood by the age of the child and calculate labor force statistics. Produces Table A1 and A2.
do "${codes}/LFS_27countries_2019_analysis.do"

*16-) This code requires confidential EU-LFS data. Merges aggregate series by gender and marital status calculated from EU-LFS, CPS and CLFS and produces Table 1 and Figure A1. The mid step aggregate data called "data_table1.dta" is provided as well in case no EU-LFS microdata is available.  
do "${codes}/LFS_6countries_timeseries.do"

*17-) Does cyclicality analysis for all countries and calculates mancession statistics. 
do "${codes}/LFS_precovid_analysis.do"

*18-) Merges pre and post Covid data. Produces Figure 3, 4, 5, Table 2-6. 
do "${codes}/PRE_POST_GRAPHS.do"