/* #############################################################################
Descriptives table Appendix:
############################################################################# */


/*
Note: Producing results for the Descriptives table C8 in the Appendix.
*/

* Preliminaries
clear

* Directories *
cd "${git_workdir}"

* Log File
log using "${out_dir}/Germany_DiD_AppTableDescriptives.log", replace

* Load updated dataset
use "${local_data_encryp}/Germany_clean_paneldata.dta", clear


* Sample
keep if (broad_emp != . & year>=$samp_yr) | hours != . //our regression  sample for employed: 2019Q1 - 2020Q3 // for hours: condition on non-missing hours
drop if work_type==. // keep regression samples consistent across specifications
drop if child_grp==.


* Variables for Table C
gen female     = sex==2
gen single_mom = sex==2 & (cohab == 0 & married == 0) & child_grp==1
gen kid   = child_grp==1
gen migration   = simp_migration

gen sample_size = _N

* Population Characteristics
#delim ;
collapse broad_emp raw_hours female married single_mom 
		 kid migration college sample_size ;
#delim cr

* Save Results
export excel using "${out_dir}/Germany_appendix_Table_C.xlsx",  sheet("pop characteristics",replace) first(var) sheetmodify

log close






