/* #############################################################################
Mannheim Corona Study - Data Loading - March - July 2020
############################################################################# */

* Preliminaries
clear

* Directories *
cd "${git_workdir}"


* Load Data - define varlist, then load data:
#delimit ;

local varlist 

id_g hhid_g pid 								// identifier

dDatum exp_group Woche Teilnahme 				// interview date, week, reply 

sample 											// year of recruitment

educ_school_19 educ_job_19 marital_status_19 
number_hh_members_19 german_citizenship_19 
state_19 occupation_19 
year_of_birth_cat_19 gender_19 					// pre-covid characteristics

state_residence state_today 					// state of residence, and state where person is today

SCDX001 										// income Feb

SCFX001 SCFX001_1								// Child in HH, no child in HH

SCDX004 										// LF status
SCPX007 SCPX007_1
SCFX004 SCFX005 								// partner variables (existence, place of residence, LF status)

SCDX012 										// location of work

SCBX022 										// daily working hours

SCDX010 SCDX010_1 err_display_SCDN010 SCDX011 	// Working hours / load

wi_rake 										// raking weight
;

** Loading selected MCS data;
use `varlist' using "${raw_MCS_data}/GIP_MSC_long_V0.dta";
#delimit cr


********************************************************************************
* change variables for appending data *
***************************************

gen temp = date(dDatum,"DMY") // bring reference date in same format as in GIP
drop dDatum
gen dDatum = temp
format dDatum %td
drop temp


********************************************************************************
* Save dataset *
*****************

// save data set encrypted locally
save "${local_data_encryp}/data_MCS.dta", replace


