
******************************************************************************** 
* Sample and Settings*
**********************


local small_cutoff = 6       // transition baby to middle school age
local big_cutoff   = 14      // transition school age to high school

* Child Groups
drop child_grp
gen child_grp = .
replace child_grp = 1 if yngch< `small_cutoff' //small kids
replace child_grp = 2 if yngch>=`small_cutoff' & yngch<=`big_cutoff' // 6-14 school age
replace child_grp = 3 if yngch>`big_cutoff' & yngch<=18 /* & yngch<99 // youngest child >= 18 yo, same as no children */ // age = . if no child
replace child_grp = 0 if yngch>18


*****

* keep parents 
keep if child_grp!=0
* keep tu module
keep if tu_module == 1
replace hours_h_tu = . if hours_tu>(24-8)*7
replace hours_h_wk = . if hours_tu>(24-8)*7
replace hours_tu = . if hours_tu>(24-8)*7


*number of hours worked from home 
preserve
keep if married == 0
collapse (mean) hours_h_tu pct_hours_h_wk pct_hours_wk (count)  n = hours_h_tu nn = pct_hours_h_wk
gen group = "single parents"
tempfile first
save `first'
restore 
preserve 
* all parents
collapse (mean) hours_h_tu pct_hours_h_wk pct_hours_wk (count)  n = hours_h_tu nn = pct_hours_h_wk
gen group = "all parents"
append using  `first'
tempfile first
save `first'
restore


collapse (mean) hours_h_tu pct_hours_h_wk pct_hours_wk (count)  n = hours_h_tu nn = pct_hours_h_wk, by(child_grp sex)
tempfile second
save `second'

use `first', clear
append using `second'

foreach v in hours_h_tu pct_hours_h_wk pct_hours_wk {
	gen `v'_s=string(round(`v',.1))
	drop `v'
	rename `v'_s `v'
}
replace group ="z" if group ==""
gsort group child_grp -sex
drop n nn 

order group sex child_grp hours_h_tu pct_hours_h_wk pct_hours_wk
export excel using "$out_dir/NL_Table19.xlsx", sheet("raw", replace) firstrow(variables) 
