/* #############################################################################
Master file for NL-LISS code
############################################################################# */

clear all

cls
set maxvar 20000
set matsize 10000
set emptycells drop

/* -----------------------------------------------------------------------------
Define preliminaries and set paths:
----------------------------------------------------------------------------- */
* define path
cd " xxx "

global scripts "do/"
global raw_data "raw/"
global out_dir "output/"
global raw_local " xxx "

/* -----------------------------------------------------------------------------
Create dataset
----------------------------------------------------------------------------- */
do "$scripts/NL_create_dataset.do"

/* -----------------------------------------------------------------------------
Data preparation
----------------------------------------------------------------------------- */
do "$scripts/NL_data_prep.do"

/* -----------------------------------------------------------------------------
Summary statistics, regression analyses and figures
----------------------------------------------------------------------------- */

do "$scripts/NL_reg.do"

do "$scripts/NL_TableC8.do"

do "$scripts/NL_FigureC5.do"

do "$scripts/NL_Table19.do"
